using Avalonia.Controls;
using ReactiveUI;
using Teachers.Models;

namespace Teachers.ViewModels
{
    public class MainWindowViewModel : ViewModelBase
    {
        #region Properties
        public static _43pTryaninaContext myConnection = new _43pTryaninaContext();
        public static MainWindowViewModel Instance; // создаем объект 
        public MainWindowViewModel()
        {
            Instance = this; // инициализируем его в конструкторе
        }

        UserControl _us = new TeachersView();

        public UserControl Us
        {
            get => _us;
            set => this.RaiseAndSetIfChanged(ref _us, value);
        }
        #endregion
    }
}
